<a href="https://git.io/liblava"><img align="left" src="https://github.com/liblava.png" width="100" style="margin:0px 20px 0px 0px"></a>

# liblava docs &nbsp; [![Version](https://img.shields.io/badge/Version-0.6.2-blue)](https://git.io/liblava)

[Home](README.md) &nbsp; [Features](Features.md) &nbsp; [Tutorial](Tutorial.md) &nbsp; [Guide](Guide.md) &nbsp; [Reference](Reference.md) &nbsp; **[Modules](Modules.md)** &nbsp; [Third-Party](Third-Party.md) &nbsp; [Demo](Demo.md) &nbsp; [Tests](Tests.md) &nbsp; [Install](Install.md)

<br />

# Modules

## lava [demo](../liblava-demo) / app

[![lamp](https://img.shields.io/badge/lava-lamp-brightgreen.svg)](../liblava-demo/lamp.cpp) [![spawn](https://img.shields.io/badge/lava-spawn-brightgreen.svg)](../liblava-demo/spawn.cpp) [![triangle](https://img.shields.io/badge/lava-triangle-brightgreen.svg)](../liblava-demo/triangle.cpp)

<br />

## lava [app](../liblava/app) / block + frame + asset

[![app](https://img.shields.io/badge/lava-app-brightgreen.svg)](../liblava/app/app.hpp) [![camera](https://img.shields.io/badge/lava-camera-brightgreen.svg)](../liblava/app/camera.hpp) [![config](https://img.shields.io/badge/lava-config-brightgreen.svg)](../liblava/app/config.hpp) [![forward_shading](https://img.shields.io/badge/lava-forward_shading-brightgreen.svg)](../liblava/app/forward_shading.hpp) [![imgui](https://img.shields.io/badge/lava-imgui-brightgreen.svg)](../liblava/app/imgui.hpp)

<br />

## lava [block](../liblava/block) / base

[![attachment](https://img.shields.io/badge/lava-attachment-red.svg)](../liblava/block/attachment.hpp) [![block](https://img.shields.io/badge/lava-block-red.svg)](../liblava/block/block.hpp) [![descriptor](https://img.shields.io/badge/lava-descriptor-red.svg)](../liblava/block/descriptor.hpp) [![pipeline](https://img.shields.io/badge/lava-pipeline-red.svg)](../liblava/block/pipeline.hpp) [![render_pass](https://img.shields.io/badge/lava-render_pass-red.svg)](../liblava/block/render_pass.hpp) [![subpass](https://img.shields.io/badge/lava-subpass-red.svg)](../liblava/block/subpass.hpp)

<br />

## lava [frame](../liblava/frame) / resource

[![frame](https://img.shields.io/badge/lava-frame-red.svg)](../liblava/frame/frame.hpp) [![input](https://img.shields.io/badge/lava-input-red.svg)](../liblava/frame/input.hpp) [![render_target](https://img.shields.io/badge/lava-render_target-red.svg)](../liblava/frame/render_target.hpp) [![renderer](https://img.shields.io/badge/lava-renderer-red.svg)](../liblava/frame/renderer.hpp) [![swapchain](https://img.shields.io/badge/lava-swapchain-red.svg)](../liblava/frame/swapchain.hpp) [![window](https://img.shields.io/badge/lava-window-red.svg)](../liblava/frame/window.hpp)

<br />

## lava [asset](../liblava/asset) / resource + file

[![image_data](https://img.shields.io/badge/lava-image_data-orange.svg)](../liblava/asset/image_data.hpp) [![mesh_loader](https://img.shields.io/badge/lava-mesh_loader-orange.svg)](../liblava/asset/mesh_loader.hpp) [![texture_loader](https://img.shields.io/badge/lava-texture_loader-orange.svg)](../liblava/asset/texture_loader.hpp)

<br />

## lava [resource](../liblava/resource) / base

[![buffer](https://img.shields.io/badge/lava-buffer-orange.svg)](../liblava/resource/buffer.hpp) [![format](https://img.shields.io/badge/lava-format-orange.svg)](../liblava/resource/format.hpp) [![image](https://img.shields.io/badge/lava-image-orange.svg)](../liblava/resource/image.hpp) [![mesh](https://img.shields.io/badge/lava-mesh-orange.svg)](../liblava/resource/mesh.hpp) [![texture](https://img.shields.io/badge/lava-texture-orange.svg)](../liblava/resource/texture.hpp)

<br />

## lava [base](../liblava/base) / util

[![base](https://img.shields.io/badge/lava-base-orange.svg)](../liblava/base/base.hpp) [![device](https://img.shields.io/badge/lava-device-orange.svg)](../liblava/base/device.hpp) [![instance](https://img.shields.io/badge/lava-instance-orange.svg)](../liblava/base/instance.hpp) [![memory](https://img.shields.io/badge/lava-memory-orange.svg)](../liblava/base/memory.hpp) [![physical_device](https://img.shields.io/badge/lava-physical_device-orange.svg)](../liblava/base/physical_device.hpp) [![queue](https://img.shields.io/badge/lava-queue-orange.svg)](../liblava/base/queue.hpp)

<br />

## lava [file](../liblava/file) / util

[![file](https://img.shields.io/badge/lava-file-blue.svg)](../liblava/file/file.hpp) [![file_system](https://img.shields.io/badge/lava-file_system-blue.svg)](../liblava/file/file_system.hpp) [![file_utils](https://img.shields.io/badge/lava-file_utils-blue.svg)](../liblava/file/file_utils.hpp) [![json_file](https://img.shields.io/badge/lava-json_file-blue.svg)](../liblava/file/json_file.hpp)

<br />

## lava [util](../liblava/util) / core

[![log](https://img.shields.io/badge/lava-log-blue.svg)](../liblava/util/log.hpp) [![random](https://img.shields.io/badge/lava-random-blue.svg)](../liblava/util/random.hpp) [![telegram](https://img.shields.io/badge/lava-telegram-blue.svg)](../liblava/util/telegram.hpp) [![thread](https://img.shields.io/badge/lava-thread-blue.svg)](../liblava/util/thread.hpp) [![utility](https://img.shields.io/badge/lava-utility-blue.svg)](../liblava/util/utility.hpp)

<br />

## lava [core](../liblava/core)

[![data](https://img.shields.io/badge/lava-data-blue.svg)](../liblava/core/data.hpp) [![id](https://img.shields.io/badge/lava-id-blue.svg)](../liblava/core/id.hpp) [![math](https://img.shields.io/badge/lava-math-blue.svg)](../liblava/core/math.hpp) [![time](https://img.shields.io/badge/lava-time-blue.svg)](../liblava/core/time.hpp) [![types](https://img.shields.io/badge/lava-types-blue.svg)](../liblava/core/types.hpp) [![version](https://img.shields.io/badge/lava-version-blue.svg)](../liblava/core/version.hpp)

<br />

<a href="https://git.io/liblava"><img src="https://github.com/liblava.png" width="50"></a>
